 
%define generic_name	sylpheed   
%define pre                0.9.6
%define name		%{generic_name}-claws 
%define version		%{pre}claws
%define version_name %{generic_name}-%{version}
%define release		2mdk 
%define iconname	%{generic_name}.png
%define	Group		Networking/Mail
%define Summary		Enhanced version of the Sylpheed e-mail client
%define __libtoolize /bin/true
 

Summary:		%{Summary}
Name:			%{name}
Version:		%{version}
Release:		%{release}
Source:			 http://prdownloads.sf.net/%{generic_name}/%{version_name}.tar.bz2
Source1:                http://prdownloads.sourceforge.net/sylpheed-claws/sylpheed-iconset-20030712.tar.bz2 
Source2:                http://prdownloads.sourceforge.net/sylpheed-claws/ghostscript-viewer-0.5.tar.bz2
License:		GPL
URL:			http://sylpheed-claws.sf.net/
Requires:		gtk+ >= 1.2.10
Group:			%{Group}
Buildroot:		%{_tmppath}/%{version_name}-%{release}-buildroot
BuildRequires:		gpgme-devel >= 0.3.0, faces-devel, libldap-devel
BuildRequires:		aspell-devel >= 0.50,  gdk-pixbuf-devel >= 0.20.0, pilot-link-devel, aspell-dictionary 
BuildRequires:		ImageMagick
BuildRequires:		libltdl-devel
BuildRequires:          libncurses-devel
BuildRequires:          readline-devel
Requires:		 common-licenses 
Requires:		  aspell-dictionary 	 
Conflicts:             sylpheed-main     
Provides:	      %{generic_name}-claws, %{version_name} 

## additinal feature which can be enabled at configure are jconv, and ipv6   

## jconv
## A general purpose Japanese code conversion tool.
## BuildRequires: jconv
## Requires: jconv

## ipv6
## IPv6 is the protocol designed by the IETF to replace the current version Internet Protocol
## BuildRequires: iptables-ipv6
## Requires: iptables-ipv6

%description
Sylpheed is an e-mail client (and news reader) based on GTK+, running on
X Window System, and aiming for
 * Quick response
 * Graceful, and sophisticated interface
 * Easy configuration, intuitive operation
 * Abundant features
The appearance and interface are similar to some popular e-mail clients for
Windows, such as Outlook Express, Becky!, and Datula. The interface is also
designed to emulate the mailers on Emacsen, and almost all commands are
accessible with the keyboard.

The messages are managed by MH format, and you'll be able to use it together
with another mailer based on MH format (like Mew). You can also utilize
fetchmail or/and procmail, and external programs on receiving (like inc or
imget).

This is an improved version over the "bare" sylpheed package.  It has
some additional features, and also extends exisiting features.

Addtitional features include:
	o Scoring
	o Spell checking
	o Return receipts

Improved features include:
	o SMTP Auth
	o Filtering
	o MIME attachments
	o Integrated News reader
	o Automatic mail checking
	o Line-wrapping
	o XML-based addressbook
	o Newly arrived and unread message management
	o Printing
	o GnuPG support
	o address book supports JPilot, LDAP, LDIF, and vCard data files

For a complete listing of Features: http://sylpheed-claws.sf.net/features.html

%package -n %name-devel
Summary:    %{Summary}
Group:   Development/Other
Requires:  %{name} = %{version}-%{release}
Provides: %{name}-devel %{version_name}-devel

%description -n %name-devel
Pkg contains the header files needed for developing with sylpheed-claws.


%package spamassassin-plugin
Summary: Spamassassin-plugin for %{name}
Group: %{Group}
Requires: %{name} = %{version}-%{release}
Requires: spamassassin
BuildRequires: spamassassin

%description spamassassin-plugin
This package uses the spamd SpamAssassin server to check for spam mail.
- See README for configuration and set-up info.

%package clamav-plugin
Summary: Clamav plugin for %name
Group: %Group 
Requires: %{name} = %{version}-%{release}
Requires: clamav
BuildRequires: libclamav-devel

%description clamav-plugin
This plugin will scan incoming messages for viruses using 
Clam AntiVirus.
- See README for configuration and set-up info.

%package dillo_viewer-plugin
Summary: Dillo-plugin for %{name}
Group: %{Group}
Requires: %{name} = %{version}-%{release}
Requires: dillo
BuildRequires: dillo
 
%description dillo_viewer-plugin
This plugin uses the Dillo browser to view text/html MIME parts inside
%name.

%package ghostscript_viewer-plugin
Summary: Ghostscript-viewer-plugin for %name
Group: %{Group}  
Requires: %{name} = %{version}-%{release}  
Requires: ghostscript 
BuildRequires: ghostscript
BuildRequires: %{name}-devel >= 0.9.5-2

%description ghostscript_viewer-plugin
This plugin allows for the viewing of Postscript and PDF attachments within
%name using ghostscript

%package image_viewer-plugin
Summary: Image viewer plugin for %name
Group: %{Group} 
Requires: %{name} = %{version}-%{release}  

%description image_viewer-plugin
This plugin uses gdx-pixbuf to view images within %name.

%package mathml_viewer-plugin
Summary: Gtkmathview plugin for %name
Group: %{Group}
Requires: %{name} = %{version}-%{release}
Requires: gtkmathview
BuildRequires: libgtkmathview-devel, gtkmathview

%description mathml_viewer-plugin
This plugin uses gtkmathview to render MathML within %name

%package trayicon-plugin
Summary: Notafication icon for %name
Group: %{Group}
Requires: %name

%description trayicon-plugin
This plugin puts a little icon into the system tray
System trays known to work are Gnome2 and KDE 3.1.1.
-See README for additional info.

%package tools
Summary: Action scripts for %name
Group: %{Group}
Requires: %name
Requires: perl-base >= 5.8.0
Requires: python 
%define _requires_exceptions perl(File::Recurse)
%define _requires_exceptions /usr/bin/python2.2

%description tools
This package provides a set of action scripts for use in %name
-See README for full details on usage

%prep
rm -rf %{buildroot}
%setup -q -n %{version_name} 
 
%build 
 
%configure2_5x --enable-aspell --enable-jpilot --enable-openssl --enable-ldap \
                         --enable-gpgme --enable-crash_dialog --enable-spamassassin-plugin \
                         --enable-dillo_viewer-plugin --enable-mathml_viewer-plugin  \
                         --enable-trayicon-plugin --enable-image_viewer-plugin  \
                         --enable-clamav-plugin                                                 
  

%make

##iconsets/themes for claws 
mkdir DATA.TMP
cd DATA.TMP 
tar xjf %{SOURCE1}
mv    sylpheed-iconset-20030712 themes 
cd ../../..

%install


%makeinstall_std
 

##ghostscript_viewer-plugin
 
tar xjf %{SOURCE2}   
( cd ghostscript-viewer-0.5
%configure2_5x  
%make
%makeinstall_std
)
 
mv DATA.TMP/themes $RPM_BUILD_ROOT%_datadir/sylpheed
##fix perms for tml02c theme
chmod 755 $RPM_BUILD_ROOT%_datadir/sylpheed/themes/tml02c
chmod 644 $RPM_BUILD_ROOT%_datadir/sylpheed/themes/tml02c/*.xpm
 
##remove duplicate man#
rm -rfd  $RPM_BUILD_ROOT/usr/share/man
## remove unneeded file
rm -rf $RPM_BUILD_ROOT/%{_datadir}/sylpheed/themes/Crystal/.directory
rm -rf $RPM_BUILD_ROOT/%{_libdir}/sylpheed/plugins/*.a 
#rm -rf $RPM_BUILD_ROOT/%{_libdir}/sylpheed/plugins/*.la
##mathml_viewer.la is needed for plugin to be loaded
rm -rf $RPM_BUILD_ROOT/%{_libdir}/sylpheed/plugins/clamav*.la
rm -rf $RPM_BUILD_ROOT/%{_libdir}/sylpheed/plugins/dillo*.la
rm -rf $RPM_BUILD_ROOT/%{_libdir}/sylpheed/plugins/image*.la
rm -rf $RPM_BUILD_ROOT/%{_libdir}/sylpheed/plugins/spamassassin*.la
rm -rf $RPM_BUILD_ROOT/%{_libdir}/sylpheed/plugins/trayicon.la 
rm -rfd $RPM_BUILD_ROOT/%{_datadir}/doc/sylpheed-claws-ghostscript_viewer-plugin-0.9.5claws/ghostscript-viewer-0.5
 
##cp action scripts to _bindir and remove unneeded files
cp -r tools/* $RPM_BUILD_ROOT%{_bindir}
rm $RPM_BUILD_ROOT%{_bindir}/Makefile* 
rm $RPM_BUILD_ROOT%{_bindir}/README*
rm $RPM_BUILD_ROOT%{_bindir}/multiwebsearch.conf  

mkdir -p %{buildroot}{%{_miconsdir},%{_iconsdir},%{_liconsdir},%{_menudir}}
convert sylpheed.png -geometry 48x48 %{buildroot}%{_liconsdir}/%{iconname}
convert sylpheed.png -geometry 32x32 %{buildroot}%{_iconsdir}/%{iconname}
convert sylpheed.png -geometry 16x16 %{buildroot}%{_miconsdir}/%{iconname}

cat > %{buildroot}%{_menudir}/%{name} << EOF
?package(%{name}):\
	command="%{generic_name}" \
	icon="%{iconname}" \
	title="Sylpheed Claws" \
	longtitle="%{Summary}" \
	needs="x11" \
	section="%{group}"
EOF

%find_lang %{generic_name}

%post
%{update_menus}

%postun
%{clean_menus}

%clean
rm -rf %{buildroot} 

%files -f %{generic_name}.lang
%defattr(-,root,root)
%doc ABOUT-NLS COPYING AUTHORS ChangeLog* NEWS README* INSTALL* TODO* RELEASE_NOTES.claws 
%doc %dir %{_datadir}/%{generic_name}
%doc %dir %{_datadir}/%{generic_name}/manual
%doc %{_datadir}/%{generic_name}/manual/*/*
%doc %{_datadir}/%{generic_name}/faq/*/*.html
%{_bindir}/%{generic_name} 
%{_datadir}/%{generic_name}/themes/*
%{_datadir}/gnome/apps/Internet/*.desktop
%{_datadir}/pixmaps/*.png 
%{_libdir}/pkgconfig/sylpheed-claws.pc
%{_menudir}/%{name}
%{_miconsdir}/%{iconname}
%{_iconsdir}/%{iconname}
%{_liconsdir}/%{iconname}

%files -n %name-devel
%defattr(-,root,root)
%{_includedir}/sylpheed

%files spamassassin-plugin
%defattr(-,root,root)
%doc src/plugins/spamassassin/README
%{_libdir}/%{generic_name}/plugins/spamassassin*.*

%files clamav-plugin
%defattr(-,root,root)
%doc src/plugins/dillo_viewer/README
%{_libdir}/%{generic_name}/plugins/clamav*.*

%files dillo_viewer-plugin
%defattr(-,root,root)
%doc src/plugins/clamav/README
%{_libdir}/%{generic_name}/plugins/dillo*.*

%files ghostscript_viewer-plugin
%defattr(-,root,root)
%doc ghostscript-viewer-0.5/AUTHORS COPYING ChangeLog INSTALL NEWS README
%{_libdir}/%{generic_name}/plugins/ghostscript*.*

%files image_viewer-plugin
%defattr(-,root,root)
%{_libdir}/%{generic_name}/plugins/image_viewer.*

%files mathml_viewer-plugin
%defattr(-,root,root)
%{_libdir}/%{generic_name}/plugins/mathml_viewer.*

%files trayicon-plugin
%defattr(-,root,root)
%doc src/plugins/trayicon/README
%{_libdir}/%{generic_name}/plugins/trayicon.* 

%files tools
%defattr(-,root,root)
%doc tools/README* tools/multiwebsearch.conf
%{_bindir}/*
%exclude %{_bindir}/%{generic_name}
 
%changelog 
* Mon Oct 06 2003 Charles A Edwards <eslrahc@bellsouthnet > 0.9.6claws-2mdk
- rm bogus require for /usr/bin/python2.2 in tools pkg, add require python

* Thu Oct 02 2003 Charles A Edwards <eslrahc@bellsouthnet > 0.9.6claws-1mdk
- 0.9.6

* Sat Sep 20 2003 Charles A Edwards <eslrahc@bellsouthnet > 0.9.5claws-4mdk
- fix longtitle in menu

* Sun Sep 14 2003 Charles A Edwards <eslrahc@bellsouthnet > 0.9.5claws-3mdk
- update Source2
- add BuildRequires sylpheed-claws-devel in ghostscript_viiewer-plugin
- path no longer needed for ghostscript_viiewer build

* Fri Sep 12 2003 Charles A Edwards <eslrahc@bellsouthnet > 0.9.5claws-2mdk
- add devel pkg

* Thu Sep 11 2003 Charles A Edwards <eslrahc@bellsouthnet > 0.9.5claws-1mdk
- 0.9.5 
- new files _includedir and _libdir
- fix BuildRequires for lib64 platforms
- rn developement files
- rn some lib requires--rpm will do it
- 
* Sun Aug 31 2003 Charles A Edwards <eslrahc@bellsouth.net > 0.9.4claws-3mdk
- add Require perl-base
- fix perl(File::Recurse) depend

* Wed Aug 13 2003 Charles A Edwards <eslrahc@bellsouth.net > 0.9.4claws-2mdk
- use define __libtoolize /bin/true and not autogen.sh
- a little spec clean-up

* Mon Aug 04 2003 Charles A Edwards <eslrahc@bellsouth.net > 0.9.4claws-1mdk
- 0.9.4
- drop prefix tag
- use Summary and Group to allow for possibility of debug.rpm build
- run autogen.sh before configure
- keep ac/gettext.m4
- add tools pkg
- README* for tools now in tools pkg

* Sun Jul 20 2003 Charles A Edwards <eslrahc@bellsouth.net > 0.9.3claws-4mdk
- rm redundant BuildRequires/Requires for libsas1 and openssl as they brought with ldap
- BuildRequire gtkmathview
- add missing docs tools-README tools-README.sylprint

* Wed Jul 16 2003 Charles A Edwards <eslrahc@bellsouth.net > 0.9.3claws-3mdk
- enable mathml_viewer-plugin
- use corrrect release in changelog this time

* Mon Jul 14 2003 Charles A Edwards <eslrahc@bellsouth.net > 0.9.3claws-1mdk
- enable ldap

* Mon Jul 14 2003 Charles A Edwards <eslrahc@bellsouth.net > 0.9.3claws-1mdk
- 0.9.3
- update Source1
- add Source2 ghostscript_viewer-plugin
- adjust build for gettext-0.11.5
- fix perms
- temporarily ldap and mathml_viewer-plugin untilprovides/requires are fixed 
* Sun Jun 08 2003 Charles A Edwards <eslrahc@bellsouth.net.> 0.9.0claws-2mdk
- rn dup BuildRequire/Requires for libgdk-pixbuf2-devel/libgdk-pixbuf2 from plugin pkg 
  as they are included in main pkg.
- add file mathml_viewer.la (plugin can not be loaded without it.)

* Sun May 25 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.9.0claws-1mdk
- format description of the dillo package
- fix some permissions
- add url of the icon tarball
- fix buildrequires
- from Charles A Edwards <eslrahc@bellsouth.net>
 - 0.9.0
 - update iconset
 - enable plugins dillo, clamav, image_viewer, mathml_viewer, and trayicon 
 - convert src to tar.bz2 and set perms

* Mon Apr 14 2003 Marcel Pol <mpol@gmx.net> 0.8.11claws-2mdk
- buildrequires

* Tue Mar 18 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.8.11claws-1mdk
- update from Charles A Edwards <eslrahc@bellsouth.net>
  - Release 0.8.11
  - reset perms on src bz2
  - drop Makefile.in.patch - no longer needed
  - use makeinstall_std 

* Sat Feb 15 2003 Charles A Edwards <eslrahc@bellsouth.net> 0.8.10claws-1mdk
- Release 0.8.10
- reset perms on src bz2
- add README to plugin pkg

* Fri Jan 24 2003 Charles A Edwards <eslrahc@bellsouth.net> 0.8.9claws-1mdk
- 0.8.9
- reset perms on src bz2
- new pkg sylpheed-claws-spamassassin-plugin
- spec clean-up

* Tue Dec 26 2002 Charles A Edwards <eslrahc@bellsouth.net> 0.8.8claws-1mdk
- 0.8.8
- revert naming scheme (updrades would not work with my new scheme  }: )
- update Source1 to sylpheed-0.8.7claws-iconset, rename to /themes  
- correct perms on src tar.bz2  
- 1 time only obsoletes, provides sylpheed-0.8.6claws, 0.8.5claws to allow urpmi to update system
  with previous versions installed (will not be needed for subsequent releases)
- list additional options which can be enabled at configure
- enable-ssl changed to enable-openssl
- add marco version_name
- no longer necessary to mv bin
- rm unneeded file
- add missing docs NLS, COPYING, NEWS, INSTALL*

* Mon Nov 25 2002 Charles A Edwards <eslrahc@bellsouth.net> 0.8.6-1mdk
- 0.8.6
- correct permissions on src bz2
- remove Conflicts: sylpheed-claws--no longer needed
- correct command in menu
- add files faq
- add files sylpheed.desktop, pixmaps/sylpheed.png
- rm dup man entry from buildroot
 

* Thu Oct 31 2002 Charles A Edwards <eslrahc@bellsouth.net> 0.8.5-2mdk
- sync name and versioning to more aptly reflect that used in Claws project 
- use autoconf2.5
- use aspell instead of pspell --enable-aspell
- enable crash_dialoge
- add BuildRequires libaspell15-devel, aspell-dictionary
- add Requires libaspell15, aspell-dictionary
- remove Requires BuildRequires for pspell
- add Source icoset-- provides several icon/theme sets for use in claws
- spec clean-up
- 
* Wed Oct 09 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.8.5claws-1mdk
- 0.8.5claws

* Sun Sep 22 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.8.3claws-1mdk
- 0.8.3

* Thu Sep 05 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.8.2claws-2mdk
- fix Requires gpgme, now libgpgme

* Wed Aug 28 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.8.2claws-1mdk
- 0.8.2

* Thu Aug 08 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.8.1claws-2mdk
- Fix BuildRequires and Requires

* Wed Jul 31 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.8.1claws-1mdk
- 0.8.1

* Tue Jun 25 2002 Alexander Skwar <ASkwar@DigitalProjects.com> 0.7.8claws-2mdk
- Fix Requires on libpilot-link4

* Mon Jun 17 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.7.8claws-1mdk
- 0.7.8claws

* Fri May 31 2002 Alexander Skwar <ASkwar@DigitalProjects.com> 0.7.6claws-1mdk
- A little late, but here it is: 0.7.6claws

* Tue Apr 30 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.7.5claws-1mdk
- 0.7.5claws

* Mon Apr 15 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.7.4claws-2mdk
- fix langs ( thx Yves Mettier )

* Tue Mar 12 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.7.4claws-1mdk
- 0.7.4claws

* Tue Feb 19 2002 Alexander Skwar <ASkwar@DigitalProjects.com> 0.7.2claws-1mdk
- 0.7.2claws

* Thu Feb 14 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.7.1claws-1mdk
- 0.7.1claws

* Wed Jan 23 2002 Alexander Skwar <ASkwar@DigitalProjects.com> 0.7.0claws-1mdk
- 0.7.0claws

* Mon Dec 17 2001 Alexander Skwar <ASkwar@Linux-Mandrake.com> 0.6.6claws-1mdk
- 0.6.6claws

* Thu Dec 13 2001 Alexander Skwar <ASkwar@Linux-Mandrake.com> 0.6.5claws8-1mdk
- First claws version for Mandrake contribs
- Patch away the installation of the GNOME desktop file -> Mandrake doesn't use it

